# Test: Prompts with optional description field
# Expected: PASS

agent:
  metadata:
    id: valid-prompts-description
    name: Valid Prompts With Description
    title: Valid Prompts Desc
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent with prompts including descriptions
    identity: I am a test agent with complete prompt structure.
    communication_style: Clear
    principles:
      - Test complete prompts

  prompts:
    - id: prompt1
      content: This is a valid prompt content
      description: This prompt does something useful
    - id: prompt2
      content: Another valid prompt
      description: This prompt does something else

  menu:
    - trigger: help
      description: Show help
      action: display_help
